Partial Class Visitors_Promotions
    Inherits CharterCMSPage


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Promotions")
        If Not IsPostBack Then
            If Not Request.QueryString(QueryStringName.Placement) Is Nothing Then
                ucPromotionDetail.Placement = Request.QueryString(QueryStringName.Placement)
            Else
                Throw New CharterUIException("The 'Placement' query string is missing.")
            End If
        End If
        Dim d As DateTime = CachedControls.getExpireDate()
        If HttpContext.Current.Cache.Item("Template18") Is Nothing Then
            HttpContext.Current.Cache.Insert("Template18", DateTime.Now, Nothing, d, System.TimeSpan.Zero, System.Web.Caching.CacheItemPriority.NotRemovable, Nothing)
        End If

        Response.AddCacheItemDependency("Template18") 'CacheKey.OutputCacheDurationKey)

        If Application(Request.Url.LocalPath) Is Nothing Then
            Application.Add(Request.Url.LocalPath, "Template18")
        End If
    End Sub
End Class
